package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AsistenciaDeViajeEmpresa;

public class RenderAsistenciaDeViajeEmpresa implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		AsistenciaDeViajeEmpresa entity = (AsistenciaDeViajeEmpresa) o;

		Listcell lc = new Listcell(entity.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(entity.getTarifa().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", entity);
	}

}
